Skip to main content
DELETE
/
secrets
/
{secret_id}
Delete a secret
curl --request DELETE \
  --url https://developer.qaip.com/api/v1/secrets/{secret_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "type": "google_drive",
  "last_update_time": 123,
  "creation_time": 123,
  "description": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

secret_id
string
required

Secret ID

Response

Successfully deleted secret

id
string
required

Secret ID

name
string
required

Name of the secret

type
enum<string>
required

The type of the secret

Available options:
google_drive,
github,
notion
last_update_time
integer<int64>
required

Last updated time (Unix timestamp in seconds)

creation_time
integer<int64>
required

Creation time (Unix timestamp in seconds)

description
string

Description of the secret